@import '_content/Z.Blazor.Diagrams/Z.Blazor.Diagrams.ezdqu7jd9f.bundle.scp.css';

/* /Pages/Auth/ERPRegister.razor.rz.scp.css */
/*Css  override hj chdhgui bna, daraa n ajilgaand oruulna*/
/* /Pages/CustomComponents/ProductCard2c.razor.rz.scp.css */
.product-card[b-04vnvv54zz] {
    display: flex;
    flex-flow: column;
    width: 110px;
    margin: 0.5rem 0px;
    padding: 12px 10px 20px 10px;
    border-radius: 0.5rem;
    background: white;
    box-shadow: 0 4px 12px rgba(0,0,0,0.08), 0 1px 3px rgba(0,0,0,0.05);
    border: 1px solid #aaccff;
    text-align: center;
    justify-items: center;
    transition: all 0.2s ease;
}
    .product-card:hover[b-04vnvv54zz] {
        transform: translateY(-2px);
        box-shadow: 0 10px 24px rgba(0,0,0,0.12), 0 4px 8px rgba(0,0,0,0.06);
    }

.product-image-wrapper[b-04vnvv54zz] {
    flex: 0 1 auto;
    display: inline-grid;
    justify-content: center;
}

.product-image[b-04vnvv54zz] {
    padding: 5px;
    height: auto;
    border-radius: 2px;
    min-height: 45px;
    min-width: 45px;
    width: 45px;
}

.product-content[b-04vnvv54zz] {
    flex: 1 1 auto;
    height: 40px !important;
    display: inline-grid;
    justify-items: center;
    text-align: center;
}

.product-title[b-04vnvv54zz] {
    padding: 5px;
    line-height: 12px;
    font-size: small;
    align-content: center;
    font-weight: 600;
}

.product-divider[b-04vnvv54zz] {
    width: 80%;
    margin: 1rem auto !important;
}

.product-footer[b-04vnvv54zz] {
    flex: 0 1 auto;
    display: inline-grid;
    justify-content: center;
    padding: 0 0 20px 0;
    text-align: center;
}

.product-price[b-04vnvv54zz] {
    font-weight: 500;
    margin-bottom: 12px;
    font-size: 12px;
}

[b-04vnvv54zz] .btn-cart {
    background: #fff4dc !important;
    border: 1px solid #f0c96a !important;
    color: black  !important;
}

[b-04vnvv54zz] .btn-purchased {
    background-color: green !important;
    color: white !important;
    font-size: x-small !important;
}

[b-04vnvv54zz] .btn-expired {
    background-color: red !important;
    color: white !important;
    font-size: x-small !important;
}

[b-04vnvv54zz] .btn-renew {
    background-color: #ff9800 !important;
    color: white !important;
    font-size: x-small !important;
}

.btn-disabled[b-04vnvv54zz] {
    opacity: 0.5;
    font-size: x-small !important;
}

.btn-default[b-04vnvv54zz] {
    font-size: x-small !important;
}
